=== debian/changelog ===
citus (7.1.0.PGDG-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg (jenkins-citus-source-distribution=sid-27,
    90281d2acc98a2ea8c1ccdcbe600ef41f8c9d773/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Thu, 16 Nov 2017 07:17:37 +0100

citus (7.1.0.PGDG-1) unstable; urgency=low

  * Adds support for native queries with multi shard UPDATE/DELETE queries

  * Expands reference table support in subquery pushdown

  * Adds window function support for subqueries and INSERT ... SELECT queries

  * Adds support for COUNT(DISTINCT) [ON] queries on non-partition columns

  * Adds support for DISTINCT [ON] queries on non-partition columns

  * Introduces basic usage statistic collector

  * Adds support for setting replica identity while creating distributed tables

  * Adds support for ALTER TABLE ... REPLICA IDENTITY queries

  * Adds pushdown support for LIMIT and HAVING grouped by partition key

  * Adds support for INSERT ... SELECT queries via worker nodes on MX clusters

  * Adds support for adding primary key using already defined index

  * Adds parameter to shard copy functions to support distinct replication models

  * Changes shard_name UDF to omit public schema name

  * Adds master_move_node UDF to make changes on nodename/nodeport more easy

  * Fixes a bug that could cause casting error with INSERT ... SELECT queries

  * Fixes a bug that could prevent upgrading servers from Citus 6.1

  * Fixes a bug that could prevent attaching partitions to a table in schema

  * Fixes a bug that could prevent adding a node to cluster with reference table

  * Fixes a bug that could cause a crash with INSERT ... SELECT queries

  * Fixes a bug that could prevent creating a partitoned table on Cloud

  * Implements various performance improvements

  * Adds internal infrastructures and tests to improve development process

  * Addresses various race conditions and deadlocks

  * Improves and standardizes error messages

 -- Burak Velioglu <velioglub@citusdata.com>  Wed, 15 Nov 2017 09:00:07 +0000
