=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
 Homepage: https://github.com/citusdata/citus
 XS-Testsuite: autopkgtest
 
-Package: postgresql-10-citus
+Package: postgresql-9.6-citus
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
 Description: sharding and distributed joins for PostgreSQL
  Citus is a distributed database implemented as a PostgreSQL extension. It
  provides functions to easily split a PostgreSQL table into shards to be
