=== debian/changelog ===
citus (7.2.0.PGDG-1.pgdg80+1) jessie-pgdg; urgency=medium

  * Rebuild for jessie-pgdg (jenkins-citus-source-distribution=jessie-
    29, dcf5fe6a5b52170adcc9afec6187e0d6b6b1e9eb/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Tue, 30 Jan 2018 00:29:19 +0100

citus (7.2.0.PGDG-1) unstable; urgency=low

  * Adds support for CTEs

  * Adds support for subqueries that require merge step

  * Adds support for set operations (UNION, INTERSECT, ...)

  * Adds support for querying local tables in CTEs and subqueries

  * Adds support for more SQL coverage in subqueries for reference tables

  * Adds support for count(distinct) in queries with a subquery

  * Adds support for non-equijoins when there is already an equijoin for queries

  * Adds support for non-equijoins when there is already an equijoin for subquery

  * Adds support for real-time executor to run in transaction blocks

  * Adds infrastructure for storing intermediate distributed query results

  * Adds a new GUC named enable_repartition_joins for auto executor switch

  * Adds support for limiting the intermediate result size

  * Improves support for queries with unions containing filters

  * Improves support for queries with unions containing joins

  * Improves support for subqueries in the WHERE clause

  * Increases COPY throughput

  * Enables pushing down queries containing only recurring tuples and GROUP BY

  * Load-balance queries that read from 0 shards

  * Improves support for using functions in subqueries

  * Fixes a bug that could cause real-time executor to crash during cancellation

  * Fixes a bug that could cause real-time executor to get stuck on cancellation

  * Fixes a bug that could block modification queries unnecessarily

  * Fixes a bug that could cause assigning wrong IDs to transactions

  * Fixes a bug that could cause an assert failure with ANALYZE statements

  * Fixes a bug that could allow pushing down wrong set operations in subqueries

  * Fixes a bug that could cause a deadlock in create_distributed_table

  * Fixes a bug that could confuse user about ANALYZE usage

  * Fixes a bug that could lead to false positive distributed deadlock detections

  * Relaxes the locking for DDL commands on partitioned tables

  * Relaxes the locking on COPY with replication

  * Logs more remote commands when citus.log_remote_commands is set

 -- Burak Velioglu <velioglub@citusdata.com>  Tue, 16 Jan 2018 14:34:20 +0000

citus (7.1.1.PGDG-1) unstable; urgency=low

  * Fixes a bug that could prevent pushing down subqueries with reference tables

  * Fixes a bug that could create false positive distributed deadlocks

  * Fixes a bug that could prevent running concurrent COPY and multi-shard DDL

  * Fixes a bug that could mislead users about ANALYZE queries

 -- Burak Velioglu <velioglub@citusdata.com>  Tue, 05 Dec 2017 09:00:07 +0000
