## citus 7.2.1.PGDG

=== debian/changelog ===
citus (7.2.1.PGDG-1.pgdg80+1) jessie-pgdg; urgency=medium

  * Rebuild for jessie-pgdg (jenkins-citus-source-distribution=jessie-
    31, 1298910fd10cc12cf9b275ee3b1ebe610d8d3d74/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Wed, 07 Feb 2018 07:47:50 +0100

citus (7.2.1.PGDG-1) unstable; urgency=low

  * Fixes count distinct bug on column expressions when used with subqueries

  * Adds support for respecting enable_hashagg in the master plan

  * Fixes a bug canceling backends that are not involved in distributed deadlocks

 -- Burak Velioglu <velioglub@citusdata.com>  Tue, 06 Feb 2018 14:46:07 +0000
