=== debian/changelog ===
citus (7.3.0.PGDG-1.pgdg70+1) wheezy-pgdg; urgency=medium

  * Rebuild for wheezy-pgdg (jenkins-citus-source-distribution=wheezy-
    32, 9dc5e477a5555e9d9fc26b4910df41587a03da73/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Thu, 15 Mar 2018 17:47:00 +0100

citus (7.3.0.PGDG-1) unstable; urgency=low

  * Adds support for non-colocated joins between subqueries

  * Adds support for window functions that can be pushed down to worker

  * Adds support for modifying CTEs

  * Adds recursive plan for subqueries in WHERE clause with recurring FROM clause

  * Adds support for bool_ and bit_ aggregates

  * Adds support for Postgres jsonb and json aggregation functions

  * Adds support for respecting enable_hashagg in the master plan

  * Performance improvements to reduce distributed planning time

  * Fixes a bug on planner when aggregate is used in ORDER BY

  * Fixes a bug on planner when DISTINCT (ON) clause is used with GROUP BY

  * Fixes a bug of creating coordinator planner with distinct and aggregate clause

  * Fixes a bug that could open a new connection on every table size function call

  * Fixes a bug canceling backends that are not involved in distributed deadlocks

  * Fixes count distinct bug on column expressions when used with subqueries

  * Improves error handling on worker node failures

  * Improves error messages for INSERT queries that have subqueries

 -- Burak Velioglu <velioglub@citusdata.com>  Thu, 15 Mar 2018 14:16:10 +0000
