=== debian/control ===
--- 
+++ 
@@ -18,3 +18,13 @@
  schemas, and keep track of shard health. An advanced distributed planner
  is included which handles queries and modifications against sharded tables.
 
+Package: postgresql-10-citus
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
+Description: sharding and distributed joins for PostgreSQL
+ Citus is a distributed database implemented as a PostgreSQL extension. It
+ provides functions to easily split a PostgreSQL table into shards to be
+ placed on remote worker nodes. Citus can replicate shards, update their
+ schemas, and keep track of shard health. An advanced distributed planner
+ is included which handles queries and modifications against sharded tables.
+
