=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/citus-$1\.tar\.gz/,\
uversionmangle=s/^([\d\.]+)/$1.PGDG/;s/-(rc\.\d+)$/~$1/,\
pgpsigurlmangle=s/archive\/v(\d\S*)\.tar\.gz/releases\/download\/v$1\/citus-$1.tar.gz.asc/ \
https://github.com/citusdata/citus/releases /citusdata/citus/archive/v(\d\S*)\.tar\.gz
